Get domain glue record information

Retrieve DNS glue record information for specific domains. This is useful when you need to view or manage the IP addresses associated with your own nameservers.

Domain Services Domains

Context

Where to get IDs / values

Path Parameters

domainId integer · min: 1 required Example: 13862

Unique domain identifier

Headers

Accept Example
Content-Type Example

Responses

200
data object required
data.count integer required · Example: 3
data.domain string required · Example: example.com
data.glueRecords array<object> required · Example: [{"hostname":"example.com","ips":["192.0.0.1","2001:db8::1"]},{"hostname":"example.com"...
data.glueRecords[].hostname string required · Example: example.com
data.glueRecords[].ips array<string> required · Example: ["192.0.0.1","2001:db8::1"]
requestId string required · Example: 2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba

Unique request identifier (UUID).

success boolean required · Example: true

True for successful responses.

timestamp string required · Example: 2026-02-10T00:00:00.000Z

ISO 8601 timestamp (UTC).

GET https://cloud.hostup.se/api/domains/{domainId}/glue-records
For AI assistants
cURL
curl -X GET "https://cloud.hostup.se/api/domains/13862/glue-records" \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json"
Response
{
  "success": true,
  "timestamp": "2026-02-10T00:00:00.000Z",
  "requestId": "2121ae20-bd9d-41e9-aeeb-5dd1dd1a24ba",
  "data": {
    "domain": "example.com",
    "glueRecords": [
      {
        "hostname": "example.com",
        "ips": [
          "192.0.0.1",
          "2001:db8::1"
        ]
      },
      {
        "hostname": "example.com",
        "ips": [
          "192.0.0.1",
          "2001:db8::1"
        ]
      },
      {
        "_truncated": "... and 1 more items"
      }
    ],
    "count": 3
  }
}